---
- name: Add Cumulus Apt Key
  apt_key:
    url: "https://apps3.cumulusnetworks.com/setup/cumulus-apps-deb.pubkey"
    state: present

- name: Add Cumulus Repo
  apt_repository:
    repo: deb https://apps3.cumulusnetworks.com/repos/deb bionic netq-2.2
    state: present
    update_cache: no

- name: Install NetQ
  apt:
    name: cumulus-netq
    update_cache: yes

- name: NetQ credentials file
  template:
    src: netq_credentials.j2
    dest: /home/cumulus/credentials.yml

- name: Add NetQ server
  command: netq config add agent server 192.168.200.250 port 31980 vrf mgmt

- name: Configure NetQ CLI
  command: netq config add cli server 192.168.200.250 cli-keys-file /home/cumulus/credentials.yml vrf mgmt port 32708 premises "{{ netq_premise }}"

- name: Restart agent
  command: netq config restart agent

- name: Restart cli
  command: netq config restart cli
...
